# Basic_Content_Tester Class Reference

Inheritance diagram for Basic_Content_Tester:

[legend]
Collaboration diagram for Basic_Content_Tester:

[legend]
List of all members.

## Public Member Functions

virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
const ACEXML_Char * | get_test_string (void)

## Static Private Attributes

const ACEXML_Char * | test_string_

## Member Function Documentation

void Basic_Content_Tester::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_DefaultHandler.

const ACEXML_Char* Basic_Content_Tester::get_test_string | ( | void |  | ) | `[inline]`

## Member Data Documentation

const ACEXML_Char * Basic_Content_Tester::test_string_`[static, private]`

Initial value:

      ACE_TEXT ("d&apos;internationalisation</translation>")

The documentation for this class was generated from the following file:

- ContentHandler_Test.cpp